Skip to main content
POST

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string<biginteger>
required

The accountId of which account you want to update

propertyToUpdate
enum<string>
required

What property you want to update

  • DELETE_ADDRESS - Deletes address.
  • WRITE_OFF - Write-off uncollectible debt for given account id and book it as a loss. Only applicable for CREDIT accounts.
  • IMMEDIATE_ACCOUNT_CLOSE Immediately closes account. For the change to be effective, account to be closed must have zero balance. Also usage of this feature must be agreed to be enabled with Enfuce before it can be taken into use.
Available options:
DELETE_ADDRESS,
WRITE_OFF,
IMMEDIATE_ACCOUNT_CLOSE

Query Parameters

auditUser
string
required

The audit user to log the request

Body

application/json

Select the bodyTemplate of the propertyToUpdate to view possible properties needed in the request body of the request.

The body is of type any.

Response

Successful update of account

description
string

When a payment is declined, a response description is returned, if available, providing more context on why the transaction failed. This includes a return code and a brief explanation. If multiple issues cause the decline, only one response description is sent; the most recent reason for decline is returned. If the payment is successful, the resourceResponse attribute is returned with null value.

Example:

"061-Usage Limit '24H_RETAIL' Amount Exceeded"

id
string

Will contain the ID of the resource that has been created or updated